=== osrf_testing_tools_cpp/test/CMakeLists.txt ===
add_subdirectory(cmake)
add_subdirectory(memory_tools)
add_subdirectory(test_runner)
