=== debian/changelog ===
ros2-osrf-testing-tools-cpp (1.5.2+ds-1) unstable; urgency=medium

  * New upstream version 1.5.2+ds
  * Update patches
    - Drop Fix-FTBFS-with-GCC-12.patch (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Thu, 10 Nov 2022 20:50:27 +0100

ros2-osrf-testing-tools-cpp (1.5.1+ds-4) unstable; urgency=medium

  * Link against libatomic on riscv64

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Aug 2022 20:12:10 +0200

ros2-osrf-testing-tools-cpp (1.5.1+ds-3) unstable; urgency=medium

  * Fix FTBFS with GCC-12

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jun 2022 20:56:54 +0200
