=== debian/control ===
Source: ros2-osrf-testing-tools-cpp
Section: libs
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-ros,
 libbackward-cpp-dev,
 libgtest-dev <!nocheck>,
Homepage: https://github.com/osrf/osrf_testing_tools_cpp
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-osrf-testing-tools-cpp.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-osrf-testing-tools-cpp
Description: OSRF testing tools for ROS 2
 This package is part of ROS 2, the Robot Operating System.
 The Open Source Robotics Foundation testing tools provide a framework for
 testing C++ code.

Package: libosrf-memory-tools0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the memory_tools shared libraries.

Package: libosrf-testing-tools-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libosrf-memory-tools0d (= ${binary:Version}),
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package installs the CMake config files and public headers.
