=== test_osrf_testing_tools_cpp/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(test_osrf_testing_tools_cpp)
 
-# Default to C++11
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 11)
+  set(CMAKE_CXX_STANDARD 17)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
