=== debian/changelog ===
ros2-osrf-testing-tools-cpp (1.7.0+ds-1) unstable; urgency=medium

  * New upstream version 1.7.0+ds

 -- Timo Röhling <roehling@debian.org>  Sat, 24 Jun 2023 16:39:13 +0200
