## ros2-osrf-testing-tools-cpp 2.1.0+ds

=== debian/changelog ===
ros2-osrf-testing-tools-cpp (2.1.0+ds-1) unstable; urgency=medium

  * New upstream version 2.1.0+ds

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:34:04 +0200

ros2-osrf-testing-tools-cpp (2.0.0+ds-1) unstable; urgency=medium

  * New upstream version 2.0.0+ds
  * Update patches
    - Drop De-vendor-variant.hpp.patch (obsolete)
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Wed, 10 Apr 2024 22:31:31 +0200
