## ros2-osrf-testing-tools-cpp 2.2.0+ds

=== osrf_testing_tools_cpp/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 if(BUILD_TESTING)
   include(cmake/osrf_testing_tools_cpp_require_googletest.cmake)
   # ensures target gtest_main exists
-  osrf_testing_tools_cpp_require_googletest(VERSION_GTE 1.10
+  osrf_testing_tools_cpp_require_googletest(VERSION_GTE 1.14
     VENDOR_DIR "${CMAKE_SOURCE_DIR}/vendor")
 
   add_subdirectory(test)
