=== debian/changelog ===
ros2-osrf-testing-tools-cpp (2.2.0+ds-1) unstable; urgency=medium

  * New upstream version 2.2.0+ds
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Jul 2024 18:22:38 +0200
