=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libbackward-cpp-dev,
  libgtest-dev <!nocheck>,
 Homepage: https://github.com/osrf/osrf_testing_tools_cpp
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-osrf-testing-tools-cpp.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-osrf-testing-tools-cpp
