=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

DEB_LINK_LIBATOMIC = $(if $(filter riscv64,$(DEB_HOST_ARCH)),ON,OFF)

export ROS_CONFIGURE_ARGS = -DMEMORY_TOOLS_SOVERSION=0d -DDEB_LINK_LIBATOMIC=$(DEB_LINK_LIBATOMIC)

%:
	dh $@ --buildsystem=ros
