=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,dversionmangle=s/\+ds\d*$//,oversionmangle=s/$/+ds/,repack \
 https://github.com/osrf/osrf_testing_tools_cpp/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
